var OFF = 0;
var WARN = 1;
var ERROR = 2;

module.exports = exports = {
  parserOptions: {
    ecmaVersion: 2018,
    sourceType: "module",
    ecmaFeatures: {
      spread: true,
    }
  },
  globals: {
    "_": false,
    "$": false,
    "L": false,
    "angular": false,
    "document": false,
    "CKEDITOR": false,
    "window": false,
    "event": false,
    "beforeEach": false,
    "afterEach": false,
    "FileReader": false,
    "module": false,
    "it": false,
    "describe": false,
    "inject": false,
    "expect": false,
    "spyOn": false,
    "jasmine": false,
    "sinon": false,
    "xdescribe": false,
    "Raven": false,
    "console": false,
    "localStorage": false,
    "global": false,
    "require": false,
    "requestAnimationFrame": false,
    "setTimeout": false,
    "URLSearchParams": false,
    "sessionStorage": false,
  },

  "rules": {
    "quotes": [ WARN, "double", {"allowTemplateLiterals": true} ],
    "quote-props": ["error", "as-needed"],
    "no-console": OFF,
    "no-mixed-spaces-and-tabs": OFF,
    "no-irregular-whitespace": OFF,
    "no-empty": OFF,
    "no-extra-boolean-cast": OFF,
    "no-extra-semi": OFF,
    "no-self-assign": OFF,
    "no-useless-escape": WARN,
    "no-eval": WARN,
    "no-new-func": WARN,
    "dot-notation": WARN,

    "no-unused-vars": WARN,
    "no-undef": WARN,
    "space-before-blocks": WARN,
    "no-param-reassign": WARN,
    "prefer-rest-params": WARN,
    "function-paren-newline": OFF,
    "no-dupe-class-members": WARN,
    "no-duplicate-imports": WARN,
    "prefer-const": WARN,
    "no-const-assign": WARN,
    "no-new-object": WARN,
    "no-var": WARN,
    "no-multi-assign": WARN,
    "no-unneeded-ternary": WARN,
    "brace-style": WARN,
    "no-else-return": WARN,
    "spaced-comment": WARN,
    "indent": [WARN, 2],
    "keyword-spacing": WARN,
    "space-infix-ops": WARN,
    "padded-blocks": [WARN, { "blocks": "never" }],
    "space-in-parens": WARN,
    "array-bracket-spacing": WARN,
    "object-curly-spacing": [WARN, "always"],
    "comma-spacing": WARN,
    "prefer-template": WARN,
    "no-useless-concat": WARN,
    "template-curly-spacing": [WARN, "always"],
    "arrow-spacing": WARN,
    "eqeqeq": [WARN, "always"],
    "computed-property-spacing": [WARN, "never"],
    "func-call-spacing": [WARN, "never"],
    "no-multiple-empty-lines": WARN
  },
  "env": {
    "jquery": true,
    "es6": true
  }
};
